login  home  contents  what's new  discussion  bug reports     help  links  subscribe  changes  refresh  edit

Submitted by : (unknown) at: 2007-11-17T22:33:15-08:00 (9 years ago)
Name :
Axiom Version :
Category : Severity : Status :
Optional subject :  
Optional comment :

The Axiom interpreter is not able to parse the following statement:

axiom
[i for i in -1.0..0.0 by 0.5]
The lower bound in a loop must be an integer.

But this has an obvious and useful interpretation so it is not clear why "lower bound in a loop must be an integer".

This is not a restriction that needs to be imposed on the Axiom library. See for example:

http://wiki.axiom-developer.org/SandBoxFloatSegment

Severity: normal => wishlist




  Subject:   Be Bold !!
  ( 13 subscribers )  
Please rate this page: